<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package intechno
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<?php wp_body_open(); ?>
	<div id="page" class="site">
		<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'intechno' ); ?></a>
		<?php if(!(is_404())){ ?>
			<!-- Header-start -->
	        <header class="header-one">
	        	<nav class="navbar navbar-default navbar-expand-md main-navbar">
	                <div class="container">
	                    <div class="brand_toggle_cont">
							<?php
	                    	$custom_logo_id = get_theme_mod( 'custom_logo' );
	                    	$logo = wp_get_attachment_image_src( $custom_logo_id , 'full' );
	                    	if ( has_custom_logo() ) { ?>
	                    		<!-- Brand -->
	                        	<?php the_custom_logo(); ?>	
			                <?php	
			                } 
			                if (display_header_text()==true){ ?>
		                        <a class="navbar-brand" href="<?php echo esc_url( home_url() ); ?>">
		                            <span class="site-title"><?php bloginfo('name'); ?></span>
		                        </a>
		                        <p><span class="site-description"><?php  bloginfo('description'); ?></span></p>
	                    	<?php 
	                    	}
			                ?>
							<!-- nav-toggler -->               
	                    </div>
	                    <!-- Links -->
	                    <div class="collapse navbar-collapse justify-content-end" id="navbarSupportedContent">
	                        <?php
							wp_nav_menu( 
								array(
									'theme_location' => 'primary',
								    'container'  => '',
	                                'menu_class' => 'navbar-nav navbar__nav  nav justify-content-end menuon',
									'menu_id'        => 'primary-menu',
								) 
							);
							?>
	                    </div>


	                    <?php $custom_logo_id = get_theme_mod( 'custom_logo' ); 
			            $logo = wp_get_attachment_image_src( $custom_logo_id , 'full' );
			            if ( has_custom_logo() ) { 
			            ?>
			                <div class="mobile-menu" data-type="logo" data-link="<?php echo esc_attr( home_url('/') ); ?>" data-logo="<?php echo esc_attr( $logo[0] ); ?>"> </div>
			            <?php } else{ ?>
			                <div class="mobile-menu" data-type="text" data-link="<?php echo esc_attr( home_url('/') ); ?>" data-logo="<?php bloginfo( 'name' ); ?>"> </div>
			            <?php } ?>
	                </div>
	            </nav>
	        </header>
	        <!-- Header-end -->
	        <?php if(!(is_page_template( 'template-home.php' ) || is_home() || is_front_page())){ ?>
			    <!-- Banner-area -->
			    <section class="same-section-spacing bg-banner">
			    	<?php
	                //Check if user has defined any header image.
	                if ( get_header_image() ) :
		            ?>
			    		<div class="overlay"></div>
			    	<?php endif; ?>
			        <div class="container">
			            <div class="row">
			                <div class="col-lg-12">
			                    <div class="banner-box">
			                        <?php if (is_home() || is_front_page()) { ?>
			            				<h2><?php echo esc_html__('blog', 'intechno') ?></h2>
			            			<?php } elseif(is_search()){?>
			                            <h2><?php   
			                            /* translators: %s: search term */             
			                            printf( esc_html__( 'Search Results for: %s', 'intechno' ), '<span>' . get_search_query() . '</span>' ); ?>
			                            </h2>
			                        <?php }else if(is_archive()){ ?>
			                            <h2><?php the_archive_title(); ?></h2>
			                        <?php }else{  ?>                      
			                            <h2><?php the_title(); ?></h2>
			                        <?php } ?>
			                    </div>
			                </div>
			            </div>
			        </div>
			    </section>
			    <!-- End-banner-area -->
			<?php }
		} ?>
		<div id="content" class="site-content">